1

I've updated several SharePoint farms before successfully. My OS is 2012 R2. I currently have SP1 for SP2013 installed. For the July 2014 CU, I'm trying to wrap my head around something..

I have installed the Foundation update successfully.

I go to the server update and there are 3 separate downloads: -When I run 476667, it says The installation of this package failed -I can't seem to run 476668 or 476669 as there are no executables. Only cab files.

After the Foundation update, the SP version is currently at 15.0.4631.1000. Am I good to go, or do I need to somehow get those other 3 downloads installed?

1 Answer 1

1

First of all, If you have SharePoint server then you dont need the sharepoint foundation packages. The full server package for SharePoint Server 2013 and contains also the SharePoint Foundation 2013 fixes so you need only this package.

Did you download the package from this link? If yes then you will 3 files ubersrvcab2, ubersrvcab1 and ubersrv2013kb2882989fullfilex64glb. all files should be in same folder and from there you need to run "ubersrv2013kb2882989fullfilex64glb.exe" and it will start the installation process.

If you are on SharePoint Server then you need to upgrade your farm properly otherwise many unknown issue will cause trouble for you.

12
  • I have Server. This is the update I applied successfully support2.microsoft.com/default.aspx?scid=kb;EN-US;2882999 I did download the 3 files but they are not in the same folder. They came separately as zip files from Microsoft. support2.microsoft.com/default.aspx?scid=kb;EN-US;2882989 So are you saying I need to put all these files in the same folder and run the exe? If that's what I'm supposed to do, why did they put them in 3 different zip files? I have successfully applied the Foundation update. Is that ok? I've never had this many issues with CUs before.
    – spex5
    Sep 30, 2014 at 18:44
  • When I install 2882999, it says "Hotfix for SharePoint Enterprise Server 2013".. also, it came from a link that says "Update for Foundation Package"..so confusing.
    – spex5
    Sep 30, 2014 at 18:47
  • You need to put all 3 files in one folder then run the exe. You need to apply server package as well. if it is uberSRV2013kb2882989fullfilex64glb(see the cap letters) then you are on right package but if it is uberSTS2013kb2882999fullfilex64glb then you ar eon foundation.
    – Waqas Sarwar MVP
    Sep 30, 2014 at 19:04
  • I did run ubersts2013-kb2882999-fullfile-x64-glb (Foundation Update) successfully, although I am on Enterprise.. but I know that SP Server sits on top of SP Foundation, so I believe I did need to apply that update anyway. However, like you said, if they rolled Foundation and Server into 1 update, why would I have to run ubersts2013-kb2882999-fullfile-x64-glb AND do the thing with putting 3 files in one folder for uberSRV2013kb2882989fullfilex64glb. It all doesn't make much sense to me.
    – spex5
    Sep 30, 2014 at 19:09
  • I am not saying that you need foundation and server....But you already did foundation that's fine...But you need the server updates to upgrade your farm.
    – Waqas Sarwar MVP
    Sep 30, 2014 at 19:11

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.